// ---------------------------------------------------------------------------
// - cloc.hpp                                                                -
// - standard system library - c localization function definition            -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2006 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_CLOC_HPP
#define  AFNIX_CLOC_HPP

#ifndef  AFNIX_CCNF_HPP
#include "ccnf.hpp"
#endif

namespace afnix {

  /// the supported codeset
  enum t_codeset {
    LOC_ASCII,
    LOC_LATIN,
    LOC_UTF8
  };

  /// localization initialization
  void c_iloc (void);

  /// @return the system codeset
  t_codeset c_getcset (void);

  /// get the codeset from a locale name
  /// @param locale the locale name to parse
  t_codeset c_mapcset (const char* locale);
}

#endif
